ComputationModel (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.shared

## Class ComputationModel

- java.lang.Object
- - org.gcube.portlets.user.occurrencemanagement.shared.ComputationModel

- All Implemented Interfaces:
    Serializable

      public class ComputationModel
      extends Object
      implements Serializable

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComputationModel()`
    `ComputationModel(String id, String name, String algorithm, String description, String category, Map<String,String> parametersMap, ElaborationType elaborationType, Date start, Date end)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlgorithm()`
    `String` | `getCategory()`
    `String` | `getDescription()`
    `Date` | `getEndTime()`
    `String` | `getId()`
    `String` | `getName()`
    `Map<String,String>` | `getParametersMap()`
    `Date` | `getStartTime()`
    `ElaborationType` | `getType()`
    `void` | `setAlgorithm(String algorithm)`
    `void` | `setCategory(String category)`
    `void` | `setDescription(String description)`
    `void` | `setEndTime(Date endTime)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setStartTime(Date startTime)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComputationModel

          public ComputationModel()

    - #### ComputationModel

          public ComputationModel(String id,
                          String name,
                          String algorithm,
                          String description,
                          String category,
                          Map<String,String> parametersMap,
                          ElaborationType elaborationType,
                          Date start,
                          Date end)

      Parameters:
        `id` -
        `name` -
        `algorithm` -
        `description` -
        `category` -
        `elaborationType` -
        `paramteresMap` -

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getAlgorithm

          public String getAlgorithm()

    - #### setAlgorithm

          public void setAlgorithm(String algorithm)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getCategory

          public String getCategory()

    - #### setCategory

          public void setCategory(String category)

    - #### getParametersMap

          public Map<String,String> getParametersMap()

    - #### getType

          public ElaborationType getType()

    - #### getStartTime

          public Date getStartTime()

    - #### setStartTime

          public void setStartTime(Date startTime)

    - #### getEndTime

          public Date getEndTime()

    - #### setEndTime

          public void setEndTime(Date endTime)

Copyright © 2014. All Rights Reserved.